VST 3 Interfaces: NoteExpressionValueDescription Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Attributes | List of all members
NoteExpressionValueDescription Struct Reference

Description of a Note Expression Type This structure is part of the NoteExpressionTypeInfo structure, it describes for given NoteExpressionTypeID its default value (for example 0.5 for a kTuningTypeID (kIsBipolar: centered)), its minimum and maximum (for predefined NoteExpressionTypeID the full range is predefined too) and a stepCount when the given NoteExpressionTypeID is limited to discrete values (like on/off state). More...

`#include <ivstnoteexpression.h>`

## Public Attributes
NoteExpressionValue | defaultValue
| default normalized value [0,1] More...
NoteExpressionValue | minimum
| minimum normalized value [0,1] More...
NoteExpressionValue | maximum
| maximum normalized value [0,1] More...
int32 | stepCount
| number of discrete steps (0: continuous, 1: toggle, discrete value otherwise - see vst3ParameterIntro) More...

## Detailed Description

Description of a Note Expression Type This structure is part of the NoteExpressionTypeInfo structure, it describes for given NoteExpressionTypeID its default value (for example 0.5 for a kTuningTypeID (kIsBipolar: centered)), its minimum and maximum (for predefined NoteExpressionTypeID the full range is predefined too) and a stepCount when the given NoteExpressionTypeID is limited to discrete values (like on/off state).

See also
  NoteExpressionTypeInfo

## Member Data Documentation

## ◆ defaultValue

NoteExpressionValue defaultValue

default normalized value [0,1]

## ◆ minimum

NoteExpressionValue minimum

minimum normalized value [0,1]

## ◆ maximum

NoteExpressionValue maximum

maximum normalized value [0,1]

## ◆ stepCount

int32 stepCount

number of discrete steps (0: continuous, 1: toggle, discrete value otherwise - see vst3ParameterIntro)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.